"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
class Spinner {
    constructor(shouldSpin) {
        this.shouldSpin = shouldSpin;
        this.log = (message, logAlways = false) => {
            if ((logAlways || this.shouldSpin) && message) {
                console.log(`${message}\n`);
            }
        };
        this.waitOn = (message) => {
            if (this.shouldSpin) {
                this.spinner.start(message);
            }
        };
        this.succeed = () => {
            if (this.shouldSpin) {
                this.spinner.succeed();
            }
        };
        this.fail = (e) => {
            if (this.shouldSpin) {
                this.spinner.fail();
            }
            console.error(e);
            process.exitCode = e.code;
        };
        this.spinner = ora();
    }
}
exports.Spinner = Spinner;
